;;;  Once the utterance is built these functions synth and play it
(defvar sing_hooks (list utt.synth utt.play)
  "sing_hooks
Function or list of functions to be called during synthesis.
The function Flinger.sing (src in C++) applies this hook to the utterance.  
This typically contains the utt.synth function and utt.play.")

;;;  how to strip punctutation, expand numbers, etc..
(defvar lyrictoken_to_lyric_func builtin_lyrictoken_to_lyric)

(voice_mwm_diphone)
(set! fl_phoneme_durations kd_durs_wb)
(load "/u/macon/TTS/festival-1.4/festival/src/modules/OGIeffect/test.scm")

;;
;; define a Festival utterance type
;;
(defUttType Song
  (FL_Tokenize utt)
  (FL_Lyricize utt)
  (PostLex utt)
  (FL_NoteDur utt)
  (FL_NoteF0 utt)
  (Wave_Synth utt)
  (OGIeffect utt)
  )


(Flinger.init
 (list
  '(vibrato_freq 5.0)       ;; 
  '(vibrato_max 0.010)      ;; 
  '(maxbend_semi 1.0)       ;; 
  '(portamento_time_default 0.020)
  '(drift_freq1 4.7)        ;; 
  '(drift_freq2 7.1)        ;; 
  '(drift_freq3 12.7)       ;; 
  '(drift_ampl 0.003)       ;; 
  '(transpose -2)            ;; 
  '(consonant_stretch 1.0)  ;; 
  ))


 (lex.add.entry
   '("fire" n (((f aI 9r) 1))))

; remove this once it actually makes sound
;(set! sing_hooks (list utt.synth))

