;;;  Once the utterance is built these functions synth and play it
(defvar sing_hooks (list utt.synth utt.play)
  "sing_hooks
Function or list of functions to be called during synthesis.
The function sing_midifile (src in C++) applies this hook to the utterance.  
This typically contains the utt.synth function and utt.play.")

;;;  how to strip punctutation, expand numbers, etc..
(defvar lyrictoken_to_lyric_func builtin_lyrictoken_to_lyric)

(voice_mwm_diphone)
(load "../../OGIeffect/test.scm")

;;
;; define a Festival utterance type
;;
(defUttType Song
;  (FL_Initialize utt) ;;; don't need this, since creates a new utterance
  (FL_Tokenize utt)
  (FL_Lyricize utt)
  (FL_NoteDur utt)
  (FL_NoteF0 utt)
  (Wave_Synth utt)
;  (OGIeffect utt)
  )


(Flinger_Init
 (list
  '(vibrato_freq 5.0) ;; 
  '(vibrato_max 0.038) ;; 
  '(maxbend_semi 12.0);; 
  '(portamento_time_default 0.040);; 
  '(drift_freq1 4.7)  ;; 
  '(drift_freq2 7.1)  ;; 
  '(drift_freq3 12.7) ;; 
  '(drift_ampl 0.003)  ;; 
  '(transpose 0)  ;; 
  '(consonant_stretch 1.2)  ;; 
  ))


 (lex.add.entry
   '("fire" n (((f aI 9r) 1))))

; remove this once it actually makes sound
;(set! sing_hooks (list utt.synth))

