#ifndef __FL_GLOBALS_H__
#define __FL_GLOBALS_H__


typedef struct {
  float vibrato_freq;
  float vibrato_max;
  float bend_semi_max;
  float portamento_time_default;

  float drift_freq1;
  float drift_freq2;
  float drift_freq3;
  float drift_ampl;

  float transpose; // in semitones
  float consonant_stretch;

 } FL_GLOBAL; 

void FL_get_globals_from_lisp(LISP params);
void create_FL_GLOBAL_struct(void);
FL_GLOBAL *get_global_info(void);
int FL_GLOBAL_struct_exists(void);


#endif
